> ## Documentation Index
> Fetch the complete documentation index at: https://docs.connectedfleet.michelin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Vehicle Alert History

> Returns details of alerts that were triggered for a vehicle in the specified period. The value specified for the endDate cannot be before startDate and the period cannot be more than 7 days.<br/><br/>Either vehicleId or groupId must be specified. If vehicleId is specified, then only alerts for the specified vehicle are included in the output. If groupId is specified, then alerts that were triggered for all vehicles in the specified group are included in the output. Either vehicleId or groupId can be specified as an input parameter, an error is returned if both are specified.<br/><br/>If there are more than 100 triggered alerts that match the search criteria, then by default only the first 100 triggered alerts are returned. To view details of the other alerts you will need to specify values for pageSize and pageIndex.



## OpenAPI

````yaml /api-reference/performance.json get /public/v1/customer/{customerId}/alert/history/vehicle
openapi: 3.0.1
info:
  title: Performance
  description: >-
    Delivers deeper insights into driver behaviour, fuel efficiency, CO₂ impact
    and safe driving practices.
  contact:
    name: Masternaut
    url: https://www.masternaut.com
    email: support@masternautconnect.com
  version: 124.0.2607160821
servers:
  - url: https://api.masternautconnect.com/connect-webservices/services
    description: Product Server
security:
  - basicAuth: []
tags:
  - name: /alert
    description: Alert history and notification management operations
  - name: /driver
    description: Driver Operations
  - name: /driverbehaviourmetrics
    description: Driver Behaviour Metrics
  - name: customers
    description: Customer Behaviour Metrics
  - name: /ecoscore
    description: EcoScore
  - name: /fuel
    description: Fuel
  - name: /idling
    description: Idling
  - name: /speeding
    description: Speeding
  - name: /tokenInformation
    description: Token operations
  - name: /utilisation
    description: Utilisation
  - name: /vehicle
    description: Vehicle management operations
paths:
  /public/v1/customer/{customerId}/alert/history/vehicle:
    get:
      tags:
        - /alert
      summary: Vehicle Alert History
      description: >-
        Returns details of alerts that were triggered for a vehicle in the
        specified period. The value specified for the endDate cannot be before
        startDate and the period cannot be more than 7 days.<br/><br/>Either
        vehicleId or groupId must be specified. If vehicleId is specified, then
        only alerts for the specified vehicle are included in the output. If
        groupId is specified, then alerts that were triggered for all vehicles
        in the specified group are included in the output. Either vehicleId or
        groupId can be specified as an input parameter, an error is returned if
        both are specified.<br/><br/>If there are more than 100 triggered alerts
        that match the search criteria, then by default only the first 100
        triggered alerts are returned. To view details of the other alerts you
        will need to specify values for pageSize and pageIndex.
      operationId: getVehicleAlertHistory
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
        - name: pageIndex
          in: query
          description: >-
            Specifies the pagination page index.<br/>Pages are zero indexed,
            i.e. the first page has an index value of zero.
          required: false
          schema:
            type: integer
            description: >-
              Specifies the pagination page index.<br/>Pages are zero indexed,
              i.e. the first page has an index value of zero.
            format: int32
        - name: pageSize
          in: query
          description: >-
            Specifies the number of items to include on a page.<br/>Must be
            specified if pageIndex has been specified.
          required: false
          schema:
            type: integer
            description: >-
              Specifies the number of items to include on a page.<br/>Must be
              specified if pageIndex has been specified.
            format: int32
        - name: startDate
          in: query
          description: >-
            Start date and time for the alert search period. Format:
            yyyy-MM-dd'T'HH:mm:ss in UTC. Required.
          required: true
          schema:
            type: string
            description: >-
              Start date and time for the alert search period. Format:
              yyyy-MM-dd'T'HH:mm:ss in UTC. Required.
            format: date-time
        - name: endDate
          in: query
          description: >-
            End date and time for the alert search period. Format:
            yyyy-MM-dd'T'HH:mm:ss in UTC. Required.
          required: true
          schema:
            type: string
            description: >-
              End date and time for the alert search period. Format:
              yyyy-MM-dd'T'HH:mm:ss in UTC. Required.
            format: date-time
        - name: groupId
          in: query
          description: Group identifier for filtering alerts by group
          required: false
          schema:
            type: string
            description: Group identifier for filtering alerts by group
        - name: excludeChildGroups
          in: query
          description: Whether to exclude child groups from the search. Defaults to false.
          required: false
          schema:
            type: boolean
            description: >-
              Whether to exclude child groups from the search. Defaults to
              false.
        - name: name
          in: query
          description: Alert rule name for filtering
          required: false
          schema:
            type: string
            description: Alert rule name for filtering
        - name: type
          in: query
          description: Alert type for filtering
          required: false
          schema:
            type: string
            description: Alert type for filtering
        - name: subscriberEmail
          in: query
          description: Subscriber email address for filtering
          required: false
          schema:
            type: string
            description: Subscriber email address for filtering
        - name: subscriberTelephone
          in: query
          description: Subscriber telephone number for filtering
          required: false
          schema:
            type: string
            description: Subscriber telephone number for filtering
        - name: subscriberWebUser
          in: query
          description: Subscriber web user for filtering
          required: false
          schema:
            type: string
            description: Subscriber web user for filtering
        - name: enableSecondaryGroupAssignments
          in: query
          description: >-
            Flag to enable secondary group assignments in the response. Defaults
            to false.
          required: false
          schema:
            type: boolean
            description: >-
              Flag to enable secondary group assignments in the response.
              Defaults to false.
        - name: vehicleId
          in: query
          description: Unique identifier of the vehicle to retrieve alert history for
          required: false
          schema:
            type: string
            description: Unique identifier of the vehicle to retrieve alert history for
      responses:
        '200':
          description: Successful operation
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/WithPaginationResultAlertHistoryDto'
        '400':
          description: Invalid request parameters or validation errors.
        '404':
          description: Vehicle or customer not found.
components:
  schemas:
    WithPaginationResultAlertHistoryDto:
      type: object
      properties:
        totalPages:
          type: integer
          description: Total number of pages based on the pageSize.
          format: int32
        totalCount:
          type: integer
          description: Total number of items that matched the search parameters.
          format: int64
        items:
          type: array
          description: Array of items.
          items:
            $ref: '#/components/schemas/AlertHistoryDto'
    AlertHistoryDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the alert
        customerId:
          type: string
          description: Customer identifier
        dateTime:
          type: string
          description: >-
            Date and time when the alert was triggered. Format:
            yyyy-MM-dd'T'HH:mm:ss in UTC.
          format: date-time
        assetId:
          type: string
          description: Unique identifier of the vehicle associated with the alert
        assetName:
          type: string
          description: Name of the vehicle associated with the alert
        assetRegistration:
          type: string
          description: Registration number of the vehicle associated with the alert
        personId:
          type: string
          description: Unique identifier of the driver associated with the alert
        personName:
          type: string
          description: Name of the driver associated with the alert
        message:
          type: string
          description: Alert message describing the event
        subscribers:
          type: array
          description: List of subscribers who were notified about the alert
          items:
            $ref: '#/components/schemas/SubscriberDto'
        type:
          type: string
          description: Type of the alert
        name:
          type: string
          description: Name of the alert rule
      description: >-
        Alert history information containing details about alerts triggered for
        vehicles or drivers
    SubscriberDto:
      type: object
      properties:
        type:
          type: string
        value:
          type: string
      description: List of subscribers who were notified about the alert
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````